Skip to main content
`Ctrl`+`K`

# PetscLogStateStageGetInfo

Get the registration information of an stage

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateStageGetInfo(PetscLogState state, PetscLogStage stage, PetscLogStageInfo *info)

Not collective

## Input Parameters

- state - a `PetscLogState`

- stage - a registered `PetscLogStage`

## Output Parameter

- info - the `PetscLogStageInfo` of the stage will be copied into info

## See Also

Profiling, `PetscLogState`, `PetscLogStateStageRegister()`, `PetscLogStateGetStageFromName()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages